#!/bin/sh
# preuninstall script for okas
# $Id: preun.sh,v 1.2 2003/11/10 17:06:20 glen Exp $
. /usr/lib/okas/functions
umask 002


# XTerm App-Defaults
UnPatchFile \
	/usr/X11R6/lib/X11/app-defaults/XTerm \
	's|.*#include.*okas/XTerm.ad".*$|! &|g'

# bashrc
if [ -f /etc/bash.bashrc ]; then # SuSE
	bashrc=/etc/bash.bashrc.local

elif [ -f /etc/bashrc.local ]; then # we
	bashrc=/etc/bashrc.local

else
	bashrc=/etc/bashrc

fi

UnPatchFile $bashrc \
	's|^.*okas/bashrc|# &|g'

UnPatchFile /etc/vim/vimrc \
	's|.*so.*vim/okas.vim|" &|g' \

# remove delfi hosts
UnPatchFile /etc/hosts \
	'/^# START delfi.hosts/,/^# END delfi.hosts/d'

