" Vim syntax file
" Language:	java properties file (jserv)
" Maintainer:	<glen@delfi.ee>
" Last Change:	2001 Jan 02
" Version Info: $Id: javaprop.vim,v 1.2 2001/01/02 14:46:25 glen Exp $

" clear any unwanted syntax defs
syn clear

" shut case off
syn case ignore

syn match  javapropLabel		"^.\{-}="
"syn region javapropHeader		start="\[" end="\]"
syn match  javapropComment	"^#.*$"

if !exists("did_javaprop_syntax_inits")
	let did_javaprop_syntax_inits = 1
	" The default methods for highlighting.  Can be overridden later
"	hi link javapropHeader	Special
	hi link javapropComment	Comment
	hi link javapropLabel	Type

endif

let b:current_syntax = "javaprop"

" vim:ts=8
